import Foundation

public enum NotificationCategory: String {
    case UNKNOWN
    case ERROR
    case MESSAGE
    case SUBSCRIPTION_REQUEST
    case MUC_ROOM_INVITATION
    case CALL
    case UNSENT_MESSAGES

    public static func from(identifier: String?) -> NotificationCategory {
        guard let str = identifier else {
            return .UNKNOWN
        }
        return NotificationCategory(rawValue: str) ?? .UNKNOWN
    }
}
